Jump to content
Sign in to follow this  
scroogie

[FIXED] ERROR: OpenAL error: Invalid Enum; called from FadeToIn (line 345)

Recommended Posts

I periodically receive this message on every game now:

ERROR: OpenAL error: Invalid Enum; called from FadeToIn (line 345)

*Update*:

See http://www.wildfiregames.com/forum/index.php?showtopic=17314entry269697 for solution.

Default OpenAL version in OpenSUSE 12.3 has the bug mentioned there. Using the multimedia repository (http://pmbs.links2linux.org/project/repositories?project=Multimedia for 12.3: http://download.opensuse.org/repositories/multimedia:/libs/openSUSE_12.3/) and doing a zypper dup fixes the issue.

Edited by scroogie

Share this post


Link to post
Share on other sites

ok, thanks. Is there anything specific thats going on when you see the warning? Does it happen always, does it happen in large bursts or just once in a while?

Thanks for the help in tracking this down!

Share this post


Link to post
Share on other sites

Thanks. but timing it isn't necessary. Is it happening while the game is changing songs? That does happen every few minutes...

Share this post


Link to post
Share on other sites

hmm, no you just have to wait for the son to end, then there is a 15 second pause. Then a new one begins, or the same one plays again if that civ only has one song. So btw what map is it you are playing? Does it happen on others?

Share this post


Link to post
Share on other sites

Which version of OpenAL-soft are you using? That error looks like the regression introduced in 1.15 which was fixed in 1.15.1 (assuming line 342 of CSoundBase.cpp is responsible, since it retrieves the source AL_GAIN).

Share this post


Link to post
Share on other sites

Here are the versions of openal:

libopenal1-32bit-1.15-4.6.1.x86_64

openal-soft-1.15-4.6.1.x86_64

libopenal1-1.15-4.6.1.x86_64

openal-soft-devel-1.15-4.6.1.x86_64

Share this post


Link to post
Share on other sites

hmm, ok I'll take a look. I'm guessing the next track does play fine? Are there any sound problems (besides the error message) I was waiting on this since the sound code got a big upgrade. I'll take a look again.

Is there a ticket for this?

Share this post


Link to post
Share on other sites

I just recompiled. All music plays well, also the battle music, but the error message persists, everytime a new track is played.

Since today, I also receive many many many of the following messages:

WARNING: OpenAL: stereo sounds can't be positioned: audio/actor/human/death/death_13.ogg

WARNING: OpenAL: stereo sounds can't be positioned: audio/interface/select/building/sel_barracks.ogg

WARNING: OpenAL: stereo sounds can't be positioned: audio/voice/hellenes/civ/female/civ_female_march_2.ogg

etc. pp.

Share this post


Link to post
Share on other sites

The new warnings are expected debugging messages while we troubleshoot some other problems.

It looks to me like you have the buggy version of OpenAL Soft 1.15 and it needs to be updated to 1.15.1 to fix it. I would report this to your distro's support or whoever manages the OpenAL Soft package, they may be able to release an update. The 1.15.1 version was released literally within days of 1.15 IIRC, so people may not have even noticed it.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...